package com.ruoyi.oa.service;

import com.ruoyi.oa.domain.OaProjectReport;
import com.ruoyi.oa.domain.vo.OaProjectReportVo;
import com.ruoyi.oa.domain.bo.OaProjectReportBo;
import com.ruoyi.common.core.page.TableDataInfo;
import com.ruoyi.common.core.domain.PageQuery;

import java.util.Collection;
import java.util.List;

/**
 * 项目报工Service接口
 *
 * @author hdka
 * @date 2025-06-16
 */
public interface IOaProjectReportService {

    /**
     * 查询项目报工
     */
    OaProjectReportVo queryById(Long reportId);

    /**
     * 查询项目报工列表
     */
    TableDataInfo<OaProjectReportVo> queryPageList(OaProjectReportBo bo, PageQuery pageQuery);

    /**
     * 查询项目报工列表
     */
    List<OaProjectReportVo> queryList(OaProjectReportBo bo);

    /**
     * 新增项目报工
     */
    Boolean insertByBo(OaProjectReportBo bo);

    /**
     * 修改项目报工
     */
    Boolean updateByBo(OaProjectReportBo bo);

    /**
     * 校验并批量删除项目报工信息
     */
    Boolean deleteWithValidByIds(Collection<Long> ids, Boolean isValid);
}
